## PhoshVpnManager

PhoshVpnManager — Tracks the Vpn status and handle vpn credentials entry

## Functions

PhoshVpnManager * | phosh_vpn_manager_new ()
const char * | phosh_vpn_manager_get_icon_name ()
gboolean | phosh_vpn_manager_get_enabled ()
gboolean | phosh_vpn_manager_get_present ()
const char * | phosh_vpn_manager_get_last_connection ()
void | phosh_vpn_manager_toggle_last_connection ()

## Properties

gboolean | enabled | Read
char * | icon-name | Read
char * | last-connection | Read
char * | present | Read

## Types and Values

#define | PHOSH_TYPE_VPN_MANAGER
| PhoshVpnManager

## Object Hierarchy

        GObject
        ╰── PhoshVpnManager

## Description

Manages vpn information and state

## Functions

### phosh_vpn_manager_new ()

    PhoshVpnManager *
    phosh_vpn_manager_new (void);

### phosh_vpn_manager_get_icon_name ()

    const char *
    phosh_vpn_manager_get_icon_name (PhoshVpnManager *self);

### phosh_vpn_manager_get_enabled ()

    gboolean
    phosh_vpn_manager_get_enabled (PhoshVpnManager *self);

### phosh_vpn_manager_get_present ()

    gboolean
    phosh_vpn_manager_get_present (PhoshVpnManager *self);

### phosh_vpn_manager_get_last_connection ()

    const char *
    phosh_vpn_manager_get_last_connection (PhoshVpnManager *self);

### phosh_vpn_manager_toggle_last_connection ()

    void
    phosh_vpn_manager_toggle_last_connection
                                   (PhoshVpnManager *self);

## Types and Values

### PHOSH_TYPE_VPN_MANAGER

    #define PHOSH_TYPE_VPN_MANAGER (phosh_vpn_manager_get_type())

### PhoshVpnManager

    typedef struct _PhoshVpnManager PhoshVpnManager;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether a VPN connection is enabled

Owner: PhoshVpnManager

Flags: Read

Default value: FALSE

### The `“icon-name”` property

      “icon-name”                char *

The icon name to represent the current VPN status

Owner: PhoshVpnManager

Flags: Read

Default value: NULL

### The `“last-connection”` property

      “last-connection”          char *

Owner: PhoshVpnManager

Flags: Read

Default value: NULL

### The `“present”` property

      “present”                  char *

Whether there is at least one VPN connection configured

Owner: PhoshVpnManager

Flags: Read

Default value: NULL